import request from "@/utils/request";

// 查询主页数据列表
export function getIndexInfo(query) {
  return request({
    url: "/index/search/getIndexInfo",
    method: "get",
    params: query,
  });
}

// 查询主页样本类型
export function getSampleType(query) {
  return request({
    url: "/index/search/getSampleType",
    method: "get",
    params: query,
  });
}

// 查询主页样本类型
export function getSampleModel(query) {
  return request({
    url: "/index/search/getSampleModel",
    method: "get",
    params: query,
  });
}

// 查询主页表面温度
export function getTemperatureK(query) {
  return request({
    url: "/index/search/getTemperatureK",
    method: "get",
    params: query,
  });
}

// 查询主页BRDF所有角
export function getAllAngle(query) {
  return request({
    url: "/index/search/getAllAngle",
    method: "get",
    params: query,
  });
}

// 查询主页BRDF所有角
export function getOthersOptions(query) {
  return request({
    url: "/index/search/getOthersOptions",
    method: "get",
    params: query,
  });
}
